<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

interface FullAutomationRequestsInterface
{

    public const FULL_AUTOMATION_REQUESTS_ID = 'id';

    public const USER = 'user';

    public const REQUEST_ID = 'request_id';

    public const STORE_ID = 'store_id';

    public const ENTITY_TYPE = 'entity_type';

    public const RECORD_ID = 'record_id';

    /**
     * Get full_automation_requests_id
     *
     * @return string|null
     */
    public function getFullAutomationRequestsId();

    /**
     * Set full_automation_requests_id
     *
     * @param string $fullAutomationRequestsId
     * @return \WriteTextAI\WriteTextAI\Api\Data\FullAutomationRequestsInterface
     */
    public function setFullAutomationRequestsId($fullAutomationRequestsId);

    /**
     * Get user
     *
     * @return string|null
     */
    public function getUser();

    /**
     * Set user
     *
     * @param string $user
     * @return \WriteTextAI\WriteTextAI\Api\Data\FullAutomationRequestsInterface
     */
    public function setUser($user);

    /**
     * Get request_id
     *
     * @return string|null
     */
    public function getRequestId();

    /**
     * Set request_id
     *
     * @param string $requestId
     * @return \WriteTextAI\WriteTextAI\Api\Data\FullAutomationRequestsInterface
     */
    public function setRequestId($requestId);

    /**
     * Get store_id
     *
     * @return string|null
     */
    public function getStoreId();

    /**
     * Set store_id
     *
     * @param string $storeId
     * @return \WriteTextAI\WriteTextAI\Api\Data\FullAutomationRequestsInterface
     */
    public function setStoreId($storeId);

    /**
     * Get entity_type
     *
     * @return string|null
     */
    public function getEntityType();

    /**
     * Set entity_type
     *
     * @param string $entityType
     * @return \WriteTextAI\WriteTextAI\Api\Data\FullAutomationRequestsInterface
     */
    public function setEntityType($entityType);

    /**
     * Get record_id
     *
     * @return string|null
     */
    public function getRecordId();

    /**
     * Set record_id
     *
     * @param string $recordId
     * @return \WriteTextAI\WriteTextAI\Api\Data\FullAutomationRequestsInterface
     */
    public function setRecordId($recordId);
}
